#include "funkcja.h"
#include <iostream>
#include <string>

using namespace std;

#ifndef _WIELOMIAN_H
#define _WIELOMIAN_H

class Wielomian : public Funkcja
{
   protected:
      int st;
      double *wsp;
      Wielomian(int st);
   public:
      Wielomian(string name="Wielomian");
      Wielomian(double *w,int st,string name="Wielomian");
      Wielomian(const Wielomian&);
      Wielomian Pochodna(int st=1);
      Wielomian operator+(const Wielomian &);
      Wielomian operator*(double x);
      Wielomian operator*();
      Wielomian &operator*=(double x);
      Wielomian &operator=(const Wielomian &);
      double operator()(double x) ;
      ~Wielomian();
      void Wyswietl();

      friend ostream &operator<<(ostream &o,const Wielomian &w);
};

#endif
